from pathlib import Path

from ArgosAnalysePlatform import APIApp
from ArgosAnalysePlatform.plugin_manager import plugmanager


def test_load_external_plugins():
    app = APIApp(
        load_from_settings={
            "reflect": False,
            "debug": False,
            "use_database": False,
            "external_plugins_folder": (
                Path(__file__).parent / "external_plugs"
            ).absolute(),
        }
    )

    assert "external" in plugmanager._plugins["test_category"]
